import request from '@/utils/request'

// 查询测试项目列表
export function listTestItems(query) {
    return request({
        url: '/system/testItems/list',
        method: 'get',
        params: query
    })
}

// 查询测试项目详细
export function getTestItems(id) {
    return request({
        url: '/system/testItems/' + id,
        method: 'get'
    })
}

// 新增测试项目
export function addTestItems(data) {
    return request({
        url: '/system/testItems/add',
        method: 'post',
        data: data
    })
}

// 修改测试项目
export function updateTestItems(data) {
    return request({
        url: '/system/testItems/edit',
        method: 'post',
        data: data
    })
}

// 删除测试项目
export function delTestItems(id) {
    return request({
        url: '/system/testItems/' + id,
        method: 'delete'
    })
}